Accommodation Services
Resources
/accommodation/bookings/\{bookingId\}/accommodation
Methods
GETPOSTPATCH
Summary of changes
Accommodations on a booking are now retrievable via GET /bookings/{bookingId}/accommodations
Several field names have been updated. See response changes for a list of fields and their counterparts in the GET /bookings/{bookingId}/{accommodationId} endpoint of the Partner API
Several fields have been removed from the GET /bookings/{bookingId}/{accommodationId} response. See removed fields section for full details.
Request body changes
Lists all request body parameters that can be set on a POST or PATCH to the accommodation booking resource, and their corresponding parameters in the Partner API.
| Description | Public API | Partner API | Type | Notes |
|---|---|---|---|---|
| Check-in date of the accommodation *Add a specific *date in which the customer will check-in to this accommodation | checkInDate | checkInDate | string | No change, cannot be updated |
| Check-out date of the accommodation Add a specific date in which the customer will check-out of this accommodation | checkOutDate | checkOutDate | string | No change, cannot be updated |
| Customers Set which customers on the booking will be staying at this accommodation | customers.href e.g. "href": "/bookings/5057124/customers/4945397" | customers.id | "customers": [ { "id": "string", } ] | Retrieve the customer id from /bookings/{id}/customers |
| Accommodation identifier *Set *the unique ID of the accommodation product you wish to book | product.href e.g. "href": "/products/91066" | accommodationId | string | Retrieve the id from GET /accommodations |
| External Reference Used to prevent duplicate entries by checking the external reference doesn’t already exist on the booking component | externalReference | externalReference | string | No change, cannot be updated |
Request query parameter changes
No query parameters are supported for booked accommodations in both Public API and Partner API.
Response Changes
| Description | Public API | Partner API | Type |
|---|---|---|---|
Booked accommodation* identifier*** *Unique identifier for this *accommodation on a booking. Note: this is different from the accommodation id retrieved from GET /accommodations | id | id | string |
| Accommodation booking resource link** *Direct API endpoint reference to this accommodation *booking | href | href | string |
| Accommodation name and reference** Details of the accommodation booking including name and reference to original accommodation product * * | product.href accommodationName accommodationDisplayName | product.href accommodationName accommodationDisplayName | string |
| Accommodation room type The chosen room type for this accommodation (e.g. double room, single) | roomType | roomType | String |
| Number of nights The number of nights the customer will spend at this accommodation | numberOfNights | numberOfNights | integer |
| Accommodation address The full address* details** for this accommodation* | suburb city country streetAddress1 streetAddress2 phoneNumber postcode locationName | suburb city country streetAddress1 streetAddress2 phoneNumber postcode locationName | string |
| **Start date of the accommodation *The **check-in *date | startDate | startDate | string |
| **End date of the accommodation *The *check-out date | finishDate | finishDate | string |
| Currency of the accommodation on the booking Currency of the accommodation should match the* overall booking currency*** | currency | currency | string |
| Prices *Full details of the total accommodation price and price after commission (e.g. net price) ** *** | totalPrice netPrice | totalPrice netPrice | decimals |
| Booked customers Customer that are booked on this component | customers customerStatuses customerStatusIds | customers customerStatuses customerStatusIds | { "customerStatusIds": [ { "customers": [ { "href": "/bookings/:bookingId/customers/:customerId", "optionExpiresAt": "string" } ], "status": "confirmed" } ], "customerStatuses": { "cancelled": 0, "confirmed": 1, "quote": 1 }, "customers": { "href": "/bookings/12345/customers" } } |
Current request (deprecated)
Booked accommodations were embedded on the booking; there was no dedicated resource.
Updated request
Booked accommodations are now a distinct sub-resource with room, dates, and per-customer pricing.
GET https://api.partners.intrepidtravel.cloud/bookings/{bookingId}/accommodation-services
{
"id": "svc_1234",
"href": "/accommodation-services/svc_1234",
"type": "ACCOMMODATION",
"status": "Confirmed",
"booking": { "id": "booking_1234", "href": "/bookings/booking_1234" },
"customers": ["cust_001", "cust_002"],
"pricingSummary": {
"currency": "USD",
"amountBase": 1000,
"amountDiscounted": 100,
"amountTotal": 900,
"amountPaid": 900,
"amountOwing": 0
},
"cancellationPolicyRule": {
"id": "rule_1234",
"href": "/cancellation-policies/5678/rules/rule_1234"
}
}
Removed fields
| Removed Fields | Public API | Notes | Relevant Field (if applicable) |
|---|---|---|---|
| Removed | sequence | ||
| Removed | externalReference |